Skip to content

Agents API

GET /v1/agents

Query parameters

Param Type Default Description
limit integer 100 Max results (1–500).
offset integer 0 Results to skip, for pagination.

Example

Terminal window
curl "https://guardian.gtarsenals.com/v1/agents?limit=50" \
-H "Authorization: Bearer gtg_live_..."
{
"object": "list",
"count": 1,
"limit": 100,
"offset": 0,
"data": [
{
"id": "a1b2c3d4",
"hostname": "web-01",
"os": "linux",
"arch": "amd64",
"version": "1.4.2",
"is_online": true,
"last_seen": "2026-07-12T18:45:03Z",
"ip_address": "10.0.4.12"
}
]
}